Bug 1467913 - Problems when using External Materialized Views
Problems when using External Materialized Views
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.4.0
Unspecified Unspecified
urgent Severity urgent
: ER3
: 6.4.0
Assigned To: Van Halbert
Jan Stastny
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-05 09:41 EDT by Van Halbert
Modified: 2018-02-13 12:41 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-13 12:41:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
VDB (3.06 KB, application/xml)
2017-09-19 04:03 EDT, Andrej Smigala
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-4960 Major Resolved Problems when using External Materialized Views 2018-01-05 05:41 EST

  None (edit)
Comment 3 Andrej Smigala 2017-09-18 05:25:13 EDT
This is not fixed in ER2.
Comment 5 Andrej Smigala 2017-09-19 04:01:03 EDT
To reproduce:

1. Start a h2 instance and create the following tables:

    CREATE TABLE t1(id integer, name varchar(255));
    CREATE TABLE t1stage(id integer, name varchar(255));
    CREATE TABLE t2(id integer, name varchar(255));
    CREATE TABLE t2stage(id integer, name varchar(255));
    CREATE TABLE DV_MATVIEWS_STATUSTABLE (VDBName varchar(50) not null, VDBVersion integer not null, SchemaName varchar(50) not null, Name varchar(256) not null, TargetSchemaName varchar(50), TargetName varchar(256), Valid boolean not null, LoadState varchar(25) not null, Cardinality bigint, Updated timestamp not null, LoadNumber bigint not null, primary key (VDBName, VDBVersion, SchemaName, Name));


2. create an xa datasource on the server for this database
3. deploy the attached VDB

As soon as the vdb is deployed, the same errors as in the original jira are logged, i. e.

09:58:22,357 ERROR [org.teiid.PROCESSOR] (Worker2_QueryProcessorQueue14) TEIID30019 Unexpected exception for request 9HNbATnMLpP7.-7422392265667569664: java.lang.AssertionError: Transaction already associated with request.

and

09:58:22,375 WARN  [org.teiid.MATVIEWS] (Worker2_QueryProcessorQueue17) org.teiid.jdbc.TeiidSQLException: TEIID30328 Unable to evaluate (SELECT mvstatus('View', 'v1', Valid, LoadState, 'WAIT') FROM (SELECT 1) AS x LEFT OUTER JOIN h2.DB.PUBLIC.DV_MATVIEWS_STATUSTABLE ON VDBName = 'teiid4960' AND VDBVersion = 1 AND SchemaName = 'View' AND Name = 'v1' LIMIT 2): TEIID30328 Unable to evaluate mvstatus('View', 'v1', DV_MATVIEWS_STATUSTABLE__1.VALID, DV_MATVIEWS_STATUSTABLE__1.LOADSTATE, 'WAIT'): TEIID30384 Error while evaluating function mvstatus


(full server log attached)
Comment 7 Andrej Smigala 2017-09-19 04:03 EDT
Created attachment 1327784 [details]
VDB

Note You need to log in before you can comment on or make changes to this bug.